petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCFieldSplitSetBlockSize

Sets the block size for defining where fields start in the fieldsplit preconditioner. If not set the matrix block size is used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetBlockSize(PC pc,PetscInt bs)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| bs | - the block size

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSetFields()

### Level

intermediate

### Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html

### Implementations

PCFieldSplitSetBlockSize_FieldSplit in src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages